Skip to main content
POST
/
cards
Create Card
curl --request POST \
  --url https://api.fyatu.com/api/v2/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardholderId": "ch_abc123def456",
  "nameOnCard": "JOHN DOE",
  "amount": 100,
  "cardType": "MASTERCARD",
  "cardUsage": "RELOADABLE",
  "spendingLimit": 5000,
  "spendingControl": "MONTH"
}
'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "cardId": "<string>",
    "cardholderId": "<string>",
    "cardName": "<string>",
    "maskedNumber": "<string>",
    "lastDigits": "<string>",
    "balance": 123,
    "spendingLimit": 123,
    "cardType": "<string>",
    "isReloadable": true,
    "status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Body

application/json

Request body for creating a new virtual card. Note: A holding balance is required for maintenance fees - $1 for 5000 MONTHLY limit, $3 for 10000 MONTHLY limit.

cardholderId
string
required

ID of the cardholder to issue the card to

nameOnCard
string
required

Name to emboss on the card (alphanumeric with spaces)

Minimum string length: 4
amount
number
required

Initial funding amount in USD (minimum $5)

Required range: x >= 5
cardType
enum<string>
required

Card network (only MASTERCARD available)

Available options:
MASTERCARD
cardUsage
enum<string>
required

Card usage type (only RELOADABLE available)

Available options:
RELOADABLE
spendingLimit
enum<integer>
required

Monthly spending limit in USD. 5000 requires $1 holding balance, 10000 requires $3 holding balance

Available options:
5000,
10000
spendingControl
enum<string>
required

Spending limit period (only MONTH available)

Available options:
MONTH

Response

Card created successfully

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object